## org.apache.mahout.cf.taste.hadoop.item
Class PartialMultiplyMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<VarIntWritable,VectorAndPrefsWritable,VarLongWritable,PrefAndSimilarityColumnWritable>
          org.apache.mahout.cf.taste.hadoop.item.PartialMultiplyMapper

    public final class PartialMultiplyMapper

extends org.apache.hadoop.mapreduce.Mapper<VarIntWritable,VectorAndPrefsWritable,VarLongWritable,PrefAndSimilarityColumnWritable>

maps similar items and their preference values per user

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`PartialMultiplyMapper()`

Method Summary
`protected void` `map(VarIntWritable key, VectorAndPrefsWritable vectorAndPrefsWritable, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialMultiplyMapper

    public PartialMultiplyMapper()

Method Detail

### map

    protected void map(VarIntWritable key,
                       VectorAndPrefsWritable vectorAndPrefsWritable,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<VarIntWritable,VectorAndPrefsWritable,VarLongWritable,PrefAndSimilarityColumnWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.